Bug 468555 - [QLogic 5.3 bug] qla2xxx - restore disable by default of MSI, MSI-X
[QLogic 5.3 bug] qla2xxx - restore disable by default of MSI, MSI-X
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
: OtherQA
Depends On:
Blocks: 415811
  Show dependency treegraph
Reported: 2008-10-25 16:56 EDT by Marcus Barrow
Modified: 2009-06-20 03:52 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 14:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
default disable of MSIX (1.86 KB, patch)
2008-10-25 21:54 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2008-10-25 16:56:13 EDT
When support for the FCoE adapters was added the default behavior of having MSI and MSIX interrupt handling disabled was removed.

IBM's testing of the MRG product has shown problems under load, which were resolved by disabling MSI and MSI-X. This is described in: BZ 466903 - mailbox timeouts observed on ds4700 luns.

This patch disables these interrupt handling mechanisms by default. MSI and MSI-X can be enabled by the module parameter "ql2xenablemsix=1".
Comment 1 Marcus Barrow 2008-10-25 21:54:18 EDT
Created attachment 321532 [details]
default disable of MSIX
Comment 5 Don Zickus 2008-11-04 11:51:31 EST
in kernel-2.6.18-122.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 Richard A Lary 2008-11-04 12:13:21 EST
Thank you, I will download, install, test and update bug with results.
Comment 8 Chris Ward 2008-11-14 09:05:51 EST
~~~ Attention Partners! ~~~

Please test this URGENT / HIGH priority bug at your earliest convenience to ensure it makes it into the upcoming RHEL 5.3 release. The fix should be present in the Partner Snapshot #2 (kernel*-122), available NOW at ftp://partners.redhat.com. As we are approaching the end of the RHEL 5.3 test cycle, it is critical that you report back testing results as soon as possible. 

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla Keywords field to indicate this. If you find that this issue has not been properly fixed, set the bug status to ASSIGNED with a comment describing the issues you encountered.

All NEW issues encountered (not part of this bug fix) should have a new bug created with the proper keywords and flags set to trigger a review for their inclusion in the upcoming RHEL 5.3 or other future release. Post a link in this bugzilla pointing to the new issue to ensure it is not overlooked.

For any additional questions, speak with your Partner Manager.
Comment 9 Marcus Barrow 2008-11-17 23:18:25 EST
Patch verified in 2.6.18-123.el5
Comment 11 errata-xmlrpc 2009-01-20 14:39:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.